

function GameScreen:InitScreen()
    self:LoadScreen()
    self:init_dlg({"cue_right"}, {"cue_08b"})
    
    self:FadeOut(0.5);
    
    self.active = false;
    DelayedExec(0.1, function()
        self.active = true
    end, 113)
end

function GameScreen:LoadScreen()
	--[[---Background---]]--
	self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "comics_back_trigger", "graphics/trigger", 0, 0, REAL_WINDOW_WIDTH, REAL_WINDOW_HEIGHT);
	ItemSetOpacity("comics_back_trigger", 0.01)
	self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "eve_08", "graphics/screens/08_portal/comics/eve_08", 1032, 116);   
	
	self:CreateObj(OBJ_TYPE.NO_ACTIVE, "cue_left", "graphics/interface/comics/cue_left", 260, 842);
	self:CreateObj(OBJ_TYPE.NO_ACTIVE, "cue_right", "graphics/interface/comics/cue_right", 358, 838);
	ItemSetOpacity("cue_left", 0.0)
	ItemSetOpacity("cue_right", 0.0)
	
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "cue_08b", "graphics/screens/08_portal/comics/cue_08b", 392, 939);
end